Subject: Re: bug#55227: [PATCH core-updates 0/8] The Full Source Bootstrap

From: Jan Nieuwenhuizen <[email-masked]>
Date: Fri, 13 May 2022 17:39:44 +0200

Ludovic Courtès writes:

Hi,

> Jan Nieuwenhuizen <[email-masked]> skribis:
>
>> Okay.  I've kept the mirror:// put in place in the previous patch, it
>> now looks like
>>
>>               (uri (list
>>                     (string-append "mirror://gnu/guix/mirror/"
>>                                    "tcc-" version ".tar.gz")
>>                     (string-append "https://lilypond.org/janneke/tcc/"
>>                                    "tcc-" version ".tar.gz")))
>
> Source code tarballs (like tcc here) can go to:
>
>   https://ftp.gnu.org/gnu/guix/mirror

Okay, I have that for all tarballs right now.

> For “binary” seeds (which in fact are no longer “binary”!), we can
> follow the scheme at:
>
>   https://ftp.gnu.org/gnu/guix/bootstrap/
>
> … which looks like this:
>
>   /gnu/guix/bootstrap/SYSTEM/DATE
>
> Or we could use /mirror as well, but then I’m not sure what that
> should look like.  WDYT?

Yes, the only thing sort of "binary" is bootstrap-seeds-1.0.tar.gz,
which is not "really" a binary package.  The SYSTEM bit is not relevant
and the date is neither.

(I guess that this

    https://savannah.nongnu.org/task/?func=detailitem&item_id=15859#options

could get a follow-up, some time.)

> See, the most difficult issues are yet to be solved.  :-)

I see!  Just when I thought the hardest bits were done :-)

Meanwhile,

    building /gnu/store/7il52fh6m0pa9lvzqpxkzpq68pb4svcl-gcc-10.3.0.drv...

so I guess we're okay.  I'll be waiting for it to finish, though.

Greetings,
Janneke

-- 
Jan Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://lilypond.org
Freelance IT https://JoyOfSource.com | Avatar® https://AvatarAcademy.com